.gpa-element {
  display: grid;
  grid-template-areas:
    'title   actions'
    'details details';

  &--inline {
    grid-template-areas: 'title details actions';
  }

  &:not(:last-child) {
    border-bottom: 1px solid var(--border-color);
    margin-bottom: var(--spacer-small);
  }

  &__title {
    display: flex;
    width: auto;
    align-items: center;
    font-weight: var(--font-weight-medium); gap: var(--spacer-default);
    grid-area: title;
  }

  &__actions {
    grid-area: actions;
    text-align: right;
  }
  &__details { grid-area: details; }

  &--removed {
    opacity: 0.5;

    &:hover {
      opacity: 1;
    }
  }
}
